package com.ccnode.codegenerator.dom.model;

package .tmp;

import com.ccnode.codegenerator.dom.model.Property;
import com.intellij.psi.PsiClass;
import com.intellij.util.xml.Attribute;
import com.intellij.util.xml.Convert;
import com.intellij.util.xml.DomElement;
import com.intellij.util.xml.GenericAttributeValue;
import com.intellij.util.xml.PsiClassConverter;
import com.intellij.util.xml.Required;
import com.intellij.util.xml.SubTagList;
import java.util.List;
import org.jetbrains.annotations.NotNull;

public interface Plugin extends DomElement {
  @Required
  @Convert(PsiClassConverter.class)
  @Attribute("interceptor")
  @NotNull
  GenericAttributeValue<PsiClass> getInterceptor();
  
  @SubTagList("property")
  @NotNull
  List<Property> getProperties();
  
  Property addProperty();
}
